# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Cache/Memcached.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(parent.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    IPC-SRLock
%define upstream_version 0.31.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    Set / reset locking semantics to single thread processes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class/Null.pm)
BuildRequires: perl(Date/Format.pm)
BuildRequires: perl(Exporter/Tiny.pm)
BuildRequires: perl(File/DataClass.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(IPC/ShareLite.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Module/Metadata.pm)
BuildRequires: perl(Moo.pm)
BuildRequires: perl(Sys/Hostname.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(Time/Elapsed.pm)
BuildRequires: perl(Try/Tiny.pm)
BuildRequires: perl(Type/Tiny.pm)
BuildRequires: perl(namespace/autoclean.pm)
BuildRequires: perl(version.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml  README SIGNATURE
%{perl_vendor_privlib}/*


%changelog
* Fri Mar 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.31.1-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.31.1-alt1_3
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.31.1-alt1_2
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.31.1-alt1_1
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.29.1-alt1_2
- update by mgaimport

* Sat May 14 2016 Igor Vlasenko <viy@altlinux.ru> 0.29.1-alt1_1
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.26.1-alt1_2
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.26.1-alt1_1
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 0.22.1-alt2_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.22.1-alt2_1
- rebuild to get rid of unmets

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.22.1-alt1_1
- update by mgaimport

* Thu Feb 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.21.1-alt1_1
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.19.1-alt1_2
- mga update

* Sun Oct 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.19.1-alt1_1
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.8.199-alt2_1
- rebuild to get rid of unmets

* Mon Jul 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.199-alt1_1
- converted for ALT Linux by srpmconvert tools

